Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Data Mining Java API Reference 10g Release 2 (10.2) B14341-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.dmt.jdm.transform.normalize
Interface OraNormalizeTransform

All Superinterfaces:
  OraTransformation

public interface OraNormalizeTransform
extends OraTransformation

Normalizing converts individual attribute values in such a way that all attributes values lie in the same range. Normally, values are converted to be in the range 0.0 to 1.0 or the range -1 to +1. Normalization ensures that attributes do no receive artificial weighting caused by differences in the ranges that they span. The package supports normalizing for numerical attribute only. This interface defines the normalization type of the transformation.

Method Summary
`java.lang.String` | `getNormalizationDefinitionTable()` Returns the normalization definition table name.
`OraNormalizeType` | `getNormalizeType()` Returns the default normalize type for all attributes.
`int` | `getRoundingNumber()` Get the rounding number.
`java.lang.Double` | `getScale(java.lang.String attributeName)` Get the scale value of a given attribute name from its normalization definition table.
`java.lang.Double` | `getShift(java.lang.String attributeName)` Get the shift value of a given attribute name from its normalization definition table.

Methods inherited from interface oracle.dmt.jdm.transform.OraTransformation
`getExcludeColumnList, getTransformInputData, getTransformOutputData, isOutputView, setExcludeColumnList, setTransformInputData, setTransformOutputData`

Method Detail

### getNormalizeType

    public OraNormalizeType getNormalizeType()

  Returns the default normalize type for all attributes.
  Returns:
    default normalize type

### getNormalizationDefinitionTable

    public java.lang.String getNormalizationDefinitionTable()

  Returns the normalization definition table name.
  Returns:
    linear normalization definition table name.

### getRoundingNumber

    public int getRoundingNumber()

  Get the rounding number.
  Returns:

### getShift

    public java.lang.Double getShift(java.lang.String attributeName)
                              throws javax.datamining.JDMException

  Get the shift value of a given attribute name from its normalization definition table. Reutrns NULL if attribute name does not exist in the normalization definition table.
  Parameters:
    `attributeName` - attribute name
  Returns:
  Throws:
    `javax.datamining.JDMException`

### getScale

    public java.lang.Double getScale(java.lang.String attributeName)
                              throws javax.datamining.JDMException

  Get the scale value of a given attribute name from its normalization definition table. Reutrns NULL if attribute name does not exist in the normalization definition table.
  Parameters:
    `attributeName` - attribute name
  Returns:
  Throws:
    `javax.datamining.JDMException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Data Mining Java API Reference 10g Release 2 (10.2) B14341-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, Oracle. All rights reserved.